Fleet allocations
Documentation for Fleet allocations
Read time 1 minuteLast updated 2 months ago
Fleet allocations is a utility endpoint useful for finding allocations for which you don't have the allocation UUID
anymore, but have not yet timed out.
Don't use this endpoint as part of a matchmaker flow to monitor allocations.
Instead, use Server allocations.
https://api.multiplay.co.uk/cfp/v2/fleet/<fleetid>/allocations
METHOD |
GET |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
fleetid | The parameter accepts the ID of the fleet to which the allocation belongs. | No |
age | The parameter accepts a value representing the minimum time each allocation in the response has been active. For example, providing a value of would return all allocations that have been active for longer than 24 hours. | No |
limit | The parameter accepts an integer representing the maximum number of allocations to include in the response. must be a value between and . The default value is . | Yes |
empty | The parameter accepts a Boolean value. If set to the response includes only empty allocations. If set to or excluded, the response includes empty and non-empty allocations. | Yes |
Response fields
|
|
|
|
|---|---|---|---|
profileid | integer | ID of the profile used by this server | No |
uuid | string | ID of the allocation | No |
regions | string | ID of regions this game server is in | No |
created | string | Time at which the allocation was created | No |
requested | string | Time at which the allocation was requested | No |
eta | string | Time at which the allocation is estimated to be fulfilled | No |
fulfilled | string | Time at which the allocation was fulfilled | No |
ready | string | Time at which the allocation was marked as | Yes |
serverid | integer | ID of the server for this allocation | No |
fleetid | string | ID of the fleet this server is in | No |
regionid | string | ID of the region this server is in | No |
machineid | integer | ID of the machine this server is on | No |
ip | string | IP (version 4) address of this game server | No |
ipv6 | string | IP (version 6) address of this game server (if supported by your fleet) | Yes |
game_port | integer | Network port for this game server | No |
Example request
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v2/fleet/<fleetid>/allocations?age=<age>&limit=<limit>&empty=<empty>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
[ { "profileid": <profileid>, "uuid": <uuid>, "requestid": <requestid>, "regions": <regions>, "requested": <requested>, "created": <created>, "fulfilled": <fulfilled>, "eta": <eta>, "serverid": <serverid>, "fleetid": <fleetid>, "regionid": <regionid>, "machineid": <machineid>, "ip": <ip>, "ipv6": <ipv6>, "game_port": <port>, "ready": <status> }, ...]